data:extend(
{
  {
    type = "technology",
    name = "miner-2",
    icon = "__TiTaN__/graphics/icons/mining-drill-2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mining-drill-2"
      },
    },
    prerequisites = {"steel-processing", "oil-processing"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 15
    },
    order = "m-2"
  },
  {
    type = "technology",
    name = "miner-3",
    icon = "__TiTaN__/graphics/icons/mining-drill-3.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mining-drill-3"
      },
    },
    prerequisites = {"miner-2"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 30
    },
    order = "m-3",
	upgrade = true,
  },
  {
    type = "technology",
    name = "miner-4",
    icon = "__TiTaN__/graphics/icons/mining-drill-4.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mining-drill-4"
      },
    },
    prerequisites = {"miner-3"},
    unit =
    {
      count = 225,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 45
    },
    order = "m-4",
	upgrade = true,
  },
  {
    type = "technology",
    name = "miner-5",
    icon = "__TiTaN__/graphics/icons/mining-drill-5.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mining-drill-5"
      },
    },
    prerequisites = {"miner-4"},
    unit =
    {
      count = 325,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
		{"alien-science-pack", 5},
      },
      time = 60
    },
    order = "m-5",
	upgrade = true,
  },
  {
    type = "technology",
    name = "miner-6",
    icon = "__TiTaN__/graphics/icons/mining-drill-6.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mining-drill-6"
      },
    },
    prerequisites = {"miner-5"},
    unit =
    {
      count = 450,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
		{"alien-science-pack", 10},
      },
      time = 120
    },
    order = "m-6",
	upgrade = true,
  },
}
)